This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 798109 - Review Request: utouch-frame - Touch Frame Library
Review Request: utouch-frame - Touch Frame Library
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2012-02-27 23:19 EST by Peter Hutterer
Modified: 2013-03-22 07:05 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-22 07:05:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
lemenkov: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Peter Hutterer 2012-02-27 23:19:38 EST
Spec URL: http://people.freedesktop.org/~whot/utouch-frame.spec
SRPM URL: http://people.freedesktop.org/~whot/utouch-frame-2.2.1-1.fc16.src.rpm
Description: 
utouch-frame is a library to build collections of simultaneous touches.
Comment 1 Peter Lemenkov 2012-06-14 10:12:20 EDT
I'll review it.
Comment 2 Peter Lemenkov 2012-06-14 11:09:26 EDT
Koji scratchbuild for F-18:
* http://koji.fedoraproject.org/koji/taskinfo?taskID=4162504

REVIEW:

Legend: + = PASSED, - = FAILED, 0 = Not Applicable

+ rpmlint is silent

work ~/Desktop: rpmlint utouch-frame-*
utouch-frame.src:22: W: mixed-use-of-spaces-and-tabs (spaces: line 22, tab: line 1)
4 packages and 0 specfiles checked; 0 errors, 1 warnings.
work ~/Desktop: 

The only message is just a small cosmetic suggestion.

+ The package is named according to the  Package Naming Guidelines.
+ The spec file name matches the base package %{name}, in the format %{name}.spec.
+ The package meets the Packaging Guidelines.
+ The package is licensed with a Fedora approved license and meets the Licensing Guidelines.

- The License field in the package spec file must match the actual license. The proper tag is GPLv3+.

+ The file, containing the text of the license(s) for the package, is included in %doc.
+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The sources used to build the package, match the upstream source, as provided in the spec URL.

work ~/Desktop: sha256sum utouch-frame-2.2.1.tar.bz2*
4a42d38e62230a8b9318de9fe49f566321d49b78a8798b0121528ff7ae2a34e7  utouch-frame-2.2.1.tar.bz2
4a42d38e62230a8b9318de9fe49f566321d49b78a8798b0121528ff7ae2a34e7  utouch-frame-2.2.1.tar.bz2.1
work ~/Desktop:

+ The package successfully compiles and builds into binary rpms on at least one primary architecture. See koji link above.
+ All build dependencies are listed in BuildRequires.
0 No need to handle locales.
+ The package stores shared library files in some of the dynamic linker's default paths, and it calls ldconfig in %post and %postun.
+ The package does NOT bundle copies of system libraries.
0 The package is not designed to be relocatable.
+ The package owns all directories that it creates.
+ The package does not list a file more than once in the spec file's %files listings.
+ Permissions on files are set properly.
0 The package DOESN'T have a %clean section, so it won't build cleanly on systems with old rpm (EL-4 and EL-5, not sure about EL-6). Beware.
+ The package consistently uses macros.
+ The package contains code, or permissible content.
0 No extremely large documentation files.
+ Anything, the package includes as %doc, does not affect the runtime of the application.
+ Header files are stored in a -devel package.
0 No static libraries.
+ The pkgconfig(.pc) files are stored in a -devel package and necessary runtime requirement added.
+ The library file(s) that end in .so (without suffix) is(are) stored in a -devel package.

- The -devel package MUST require the base package using a fully versioned dependency and with an %{_isa} tag: Requires: %{name}%{?_isa} = %{version}-%{release}. Please add %{?_isa} part.

+ The package does NOT contain any .la libtool archives.
0 Not a GUI application.
+ The package does not own files or directories already owned by other packages.
0 At the beginning of %install, the package  does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) so it won't build cleanly on systems with old rpm (EL-4 and EL-5, not sure about EL-6). Beware.
+ All filenames in rpm packages are valid UTF-8.

Please, fix licensing tag and add %{?_isa} tag to the *-devel subpackage dependency on the main package and I'll finish reviewing this.
Comment 3 Peter Hutterer 2012-06-14 21:51:33 EDT
(In reply to comment #2)
> work ~/Desktop: rpmlint utouch-frame-*
> utouch-frame.src:22: W: mixed-use-of-spaces-and-tabs (spaces: line 22, tab:
> line 1)
> 4 packages and 0 specfiles checked; 0 errors, 1 warnings.

fixed

> - The License field in the package spec file must match the actual license.
> The proper tag is GPLv3+.

fixed

> - The -devel package MUST require the base package using a fully versioned
> dependency and with an %{_isa} tag: Requires: %{name}%{?_isa} =
> %{version}-%{release}. Please add %{?_isa} part.

fixed


updated version uploaded to
http://people.freedesktop.org/~whot/utouch-frame.spec
http://people.freedesktop.org/~whot/utouch-frame-2.2.1-2.fc17.src.rpm

though I have to point out that I don't need utouch-frame anymore, the one package that needed it was ported to not require it anymore. still, getting the review done will be useful so that if the need comes back for some other package the proposed maintainer can just take it and import it.
Comment 4 Peter Lemenkov 2012-06-15 00:24:38 EDT
Ok, I don't see any other issues so this package is

APPROVED.
Comment 5 Damian Ivanov 2012-06-25 08:52:14 EDT
To successfully build you need also  
BuildRequires:	gcc-c++ xorg-x11-server-devel

btw. I'm porting/maintaining ayatana packages maybe including unity to rpm distros.
You can find the work at https://build.opensuse.org/project/show?project=GNOME%3AAyatana where others left it. 

Cheers,
Damian
Comment 6 Peter Lemenkov 2013-03-22 07:05:47 EDT
Ok, it's time to close this.

Note You need to log in before you can comment on or make changes to this bug.